> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blink.store/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Single Sign-On (SSO) URL

> Generates a magic link URL to seamlessly log an affiliate into their dashboard.



## OpenAPI

````yaml post /v1/affiliates/sso
openapi: 3.0.0
info:
  title: Blink API
  description: Comprehensive API documentation for Blink.
  version: 1.0.0
servers:
  - url: https://api.blink.store/v1
security: []
paths:
  /v1/affiliates/sso:
    post:
      tags:
        - Affiliates
      summary: Generate Single Sign-On (SSO) URL
      description: >-
        Generates a magic link URL to seamlessly log an affiliate into their
        dashboard.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - email
              properties:
                email:
                  type: string
                  description: The affiliate email address.
                redirect_to:
                  type: string
                  description: Optional URL to redirect the user to after login.
      responses:
        '200':
          description: SSO URL generated
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      sso_url:
                        type: string
                        description: The magic link URL.
      security:
        - ApiKeyAuth: []
components: {}

````